import * as _chakra_ui_system from '@chakra-ui/system';
import { HTMLChakraProps, ThemingProps } from '@chakra-ui/system';
import { Orientation } from './step-context.js';
import 'react';

type StepperProps = HTMLChakraProps<"div"> & ThemingProps<"Stepper"> & {
    /**
     * The active step index
     */
    index: number;
    /**
     * The orientation of the stepper
     * @default horizontal
     */
    orientation?: Orientation;
    /**
     * The children of the stepper. Must be `Step` components
     */
    children: React.ReactNode;
};
declare const Stepper: _chakra_ui_system.ComponentWithAs<"div", StepperProps>;

export { Stepper, StepperProps };
